#ifndef	CALLBACKS_H
#define	CALLBACKS_H

#include <gtk/gtk.h>

void
on_button_start_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_exit_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_window_main_destroy                 (GtkObject       *object,
                                        gpointer         user_data);

void
on_window_calibrate_destroy            (GtkObject       *object,
                                        gpointer         user_data);

void
on_button_save_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_redo_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_cancel_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_break_clicked                (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_drawingarea1_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea1_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea5_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea5_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea2_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea2_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea8_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea8_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea6_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea6_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea4_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea4_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea7_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea7_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea3_configure_event        (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_drawingarea3_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_window_calibrate_key_press_event    (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_window_calibrate_size_allocate      (GtkWidget       *widget,
                                        GdkRectangle    *allocation,
                                        gpointer         user_data);

void
on_window_calibrate_size_request       (GtkWidget       *widget,
                                        GtkRequisition  *requisition,
                                        gpointer         user_data);

void
on_window_calibrate_activate_default   (GtkWindow       *window,
                                        gpointer         user_data);

void
on_window_calibrate_activate_focus     (GtkWindow       *window,
                                        gpointer         user_data);

gboolean
on_window_calibrate_configure_event    (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_window_calibrate_expose_event       (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_window_calibrate_show               (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_drawingareaT_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea_idel_expose_event       (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_button_break_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_calibrate_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_options_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_calibration_clicked          (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_window_options_destroy_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_window_options_destroy              (GtkObject       *object,
                                        gpointer         user_data);

void
on_button_default_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_undo_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_apply_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_done_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_comboboxentry_VB_mode_changed       (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_comboboxentry_RB_auto_mode_changed  (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_comboboxentry_RB_auto_stime_changed (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_comboboxentry_RB_auto_etime_changed (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_comboboxentry_RB_auto_beep_changed  (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_comboboxentry_FS_mode_changed       (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_spinbutton_FS_tone_changed          (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_spinbutton_FS_duration_changed      (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_comboboxentry_CP_mode_changed       (GtkComboBox     *combobox,
                                        gpointer         user_data);

#endif	/* CALLBACKS_H */
