#ifndef	_TSUSB_H_
#define	_TSUSB_H_

#define BUFFER_SIZE 256

#define E_RBF_ACTION_ON		1
#define E_RBF_ACTION_OFF	0
#define	E_BELL_RECORD_MAX	3

typedef struct _TsBeppRec {
	int	volume;
	int	pitch;
	int	duration;
} TsBeepRec, *TsBeepPtr;

typedef struct _TsPrivateRec {
	int fd;
	int devnum;
	char *input_dev;
	Bool inited;
	int screen_no;
	int screen_width;
	int screen_height;
	struct tsusb_feature_report feature;
	int raw_x;
	int raw_y;
	int raw_state;
	int raw_buttons;
	int now_buttons;
	int device_enabled;
	int use_VirtualButton;
	int use_TouchBeepMode;
	int use_TouchBeepVolume;
	int use_TouchBeepTone;
	int use_TouchBeepDuration;
	int use_RightButtonFunction;
	int use_RightButtonAutoMode;
	int use_RightButtonAutoSTime;
	int use_RightButtonAutoETime;
	int use_RightButtonAutoBeep;
	int use_RightButtonAutoRange;
	int dw_RBF_Action;
	int db_AutoLeftButtonGo;
	int db_AutoRightButtonGo;
	int dw_AutoRightButtonX1;
	int dw_AutoRightButtonY1;
	int dw_AutoRightButtonX2;
	int dw_AutoRightButtonY2;
	int VBTimerMode;
	OsTimerPtr VBTimerPointer;
	int BellTimerCounter;
	OsTimerPtr BellTimerPointer;
	int BellVolume[E_BELL_RECORD_MAX];
	int BellPitch[E_BELL_RECORD_MAX];
	int BellDuration[E_BELL_RECORD_MAX];
} TsPrivateRec, *TsPrivatePtr;

typedef struct _TsDeviceRec {
	char *devfs_name;
	int bufpos;
	unsigned char buffer[BUFFER_SIZE];
	TsPrivatePtr priv[TSUSB_MINORS];
} TsDeviceRec, *TsDevicePtr;

#endif	/* _TSUSB_H_ */
