#ifndef	MSGBOX_H
#define	MSGBOX_H

gchar *msgbox_string1 ( const gchar *message_format, ... );
gchar *msgbox_string2 ( const gchar *message_format, ... );

void
msgbox (
	GtkWidget *window,
	GtkDialogFlags flags,
	GtkMessageType type,
	GtkButtonsType buttons,
	const gchar *msg_string1,
	const gchar *msg_string2
	);

gint msgbox_info ( GtkWidget *window, const gchar *msg_string1, const gchar *msg_string2, GtkButtonsType buttons );
gint msgbox_warning ( GtkWidget *window, const gchar *msg_string1, const gchar *msg_string2, GtkButtonsType buttons );
gint msgbox_question ( GtkWidget *window, const gchar *msg_string1, const gchar *msg_string2, GtkButtonsType buttons );
gint msgbox_error ( GtkWidget *window, const gchar *msg_string1, const gchar *msg_string2, GtkButtonsType buttons );

#endif	/* MSGBOX_H */

