#ifndef	OPTIONS_H
#define	OPTIONS_H

void options_initialize ( GtkWidget *widget_main, GtkWidget *widget_options );
void options_start(void);
void options_end(void);

gboolean options_load_configuration(void);
gboolean options_save_configuration(void);

gint options_now_calibration_mode(void);

void options_button_default_clicked(void);
void options_button_apply_clicked(void);
void options_button_undo_clicked(void);
void options_button_done_clicked(void);

void options_VB_mode_changed(void);
void options_RB_auto_mode_changed(void);
void options_RB_auto_stime_changed(void);
void options_RB_auto_etime_changed(void);
void options_RB_auto_beep_changed(void);
void options_FS_mode_changed(void);
void options_FS_tone_changed(void);
void options_FS_duration_changed(void);
void options_CP_mode_changed(void);

#endif	/* OPTIONS_H */

